From 240414182f6329c6f43bd5c17d100248c26ed873 Mon Sep 17 00:00:00 2001
From: Sascha Markus <s.ascha.markus@gmail.com>
Date: Wed, 30 May 2018 14:02:58 +0000
Subject: [PATCH 2/2] feature/8514 Replace WhisperBack.mail_appended_info with
 a dictionary Client code for the change in mail_append_info In this draft
 version the output of journalctl is missing because deserializing fails due
 to invalid chars.

---
 whisperBack/whisperback.py | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/whisperBack/whisperback.py b/whisperBack/whisperback.py
index f985114..f19893e 100644
--- a/whisperBack/whisperback.py
+++ b/whisperBack/whisperback.py
@@ -26,6 +26,7 @@
 """
 
 import email.mime.text
+import json
 import os
 import threading
 
@@ -114,7 +115,7 @@ class WhisperBack(object):
 
         # Get additional info through the callbacks and sanitize it
         self.prepended_data = whisperBack.utils.sanitize_hardware_info(self.mail_prepended_info())
-        self.appended_data = whisperBack.utils.sanitize_hardware_info(self.mail_appended_info())
+        self.appended_data = self.__get_debug_info(whisperBack.utils.sanitize_hardware_info(self.mail_appended_info()))
 
         # Initialize other variables
         self.subject = subject
@@ -144,6 +145,18 @@ class WhisperBack(object):
         #pylint: disable=W0122
         exec(code, self.__dict__)
 
+    def __get_debug_info(self, raw_debug):
+        debug_info = json.loads(raw_debug)
+        result = ''
+        for info in debug_info:
+            result += '======= content of {} =======\n'.format(info)
+            if type(debug_info[info]) is list:
+                for line in debug_info[info]:
+                    result +=  '{}\n'.format(line)
+            else:
+                result += '{}\n'.format(debug_info[info])
+        return result
+
     def __check_conf(self):
         """Check that all the required configuration variables are filled
         and raise MisconfigurationException if not.
-- 
2.11.0

